#97360 Report by node travis-ci covering 1980 tests from 54 modules resulted into 6 errors

Report

ObsPy Version
1.1.1rc1.post0+35.g747116eb...
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/399651992
GitHub Pull Request
-
Report File
XML Document
Total Runtime
1236.8 sec
Report Date/Time
2018-07-03 12:06:28

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
i386
Python Compiler
GCC 4.2.1 Compatible Clang 4.0.1 (tags/RELEASE_401/final)
Python Implementation
CPython
Python Version
3.6.6
Release
16.7.0
System
Darwin
Version
Darwin Kernel Version 16.7.0: Thu Jun 15 17:36:27 PDT 2017; root:xnu-3789.70.16~2/RELEASE_X86_64

Dependencies

cartopy
---
decorator
4.3.0
flake8
---
future
0.16.0
geographiclib
1.49
lxml.etree
4.2.2
m2crypto
---
matplotlib
2.0.2
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.13.3
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.19.1
scipy
1.1.0
setuptools
39.2.0
shapefile
1.2.12
sqlalchemy
1.2.8

Modules (54)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm - -
obspy.clients.fdsn 3 1 2 3
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl 1 4
obspy.clients.seedlink 2 5 6
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 6 6

Tracebacks (6)

Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.fdsn.client.Client.get_waveforms_bulk
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/client.py", line 872, in get_waveforms_bulk
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/client.py", line 904, in obspy.clients.fdsn.client.Client.get_waveforms_bulk
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
5 Trace(s) in Stream:
GR.GRA1..BHE | 2010-02-27T06:30:01... | 20.0 Hz, 40 samples
GR.GRA1..BHN | 2010-02-27T06:30:01... | 20.0 Hz, 40 samples
GR.GRA1..BHZ | 2010-02-27T06:30:01... | 20.0 Hz, 40 samples
IU.ANMO.00.BHZ | 2010-02-27T06:30:00... | 20.0 Hz, 20 samples
IU.ANMO.10.BHZ | 2010-02-27T06:30:00... | 40.0 Hz, 40 samples
Got:
5 Trace(s) in Stream:
GR.GRA1..BHN | 2010-02-27T06:30:01.040000Z - 2010-02-27T06:30:02.990000Z | 20.0 Hz, 40 samples
GR.GRA1..BHZ | 2010-02-27T06:30:01.039999Z - 2010-02-27T06:30:02.989999Z | 20.0 Hz, 40 samples
GR.GRA1..BHE | 2010-02-27T06:30:01.040000Z - 2010-02-27T06:30:02.990000Z | 20.0 Hz, 40 samples
IU.ANMO.10.BHZ | 2010-02-27T06:30:00.019538Z - 2010-02-27T06:30:00.994538Z | 40.0 Hz, 40 samples
IU.ANMO.00.BHZ | 2010-02-27T06:30:00.019538Z - 2010-02-27T06:30:00.969538Z | 20.0 Hz, 20 samples
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/client.py", line 917, in obspy.clients.fdsn.client.Client.get_waveforms_bulk
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
5 Trace(s) in Stream:
GR.GRA1..BHE | 2010-02-27T00:00:00... | 20.0 Hz, 40 samples
GR.GRA1..BHN | 2010-02-27T00:00:00... | 20.0 Hz, 40 samples
GR.GRA1..BHZ | 2010-02-27T00:00:00... | 20.0 Hz, 40 samples
IU.ANMO.00.BHZ | 2010-02-27T00:00:00... | 20.0 Hz, 40 samples
IU.ANMO.10.BHZ | 2010-02-27T00:00:00... | 40.0 Hz, 80 samples
Got:
5 Trace(s) in Stream:
GR.GRA1..BHE | 2010-02-27T00:00:00.040000Z - 2010-02-27T00:00:01.990000Z | 20.0 Hz, 40 samples
GR.GRA1..BHN | 2010-02-27T00:00:00.039999Z - 2010-02-27T00:00:01.989999Z | 20.0 Hz, 40 samples
GR.GRA1..BHZ | 2010-02-27T00:00:00.039999Z - 2010-02-27T00:00:01.989999Z | 20.0 Hz, 40 samples
IU.ANMO.10.BHZ | 2010-02-27T00:00:00.019500Z - 2010-02-27T00:00:01.994500Z | 40.0 Hz, 80 samples
IU.ANMO.00.BHZ | 2010-02-27T00:00:00.019500Z - 2010-02-27T00:00:01.969500Z | 20.0 Hz, 40 samples
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/tests/test_client.py", line 696, in test_dataselect_bulk
self.assertEqual(got, expected, failmsg(got, expected))
AssertionError: <obspy.core.stream.Stream object at 0x1d1c0e79b0> != <obspy.core.stream.Stream object at 0x1d1c0e75c0> :
Got:
2 Trace(s) in Stream:
TA.A25A..BHE | 2010-03-25T00:00:00.000001Z - 2010-03-25T00:00:05.975001Z | 40.0 Hz, 240 samples
TA.A25A..BHZ | 2010-03-25T00:00:00.000000Z - 2010-03-25T00:00:04.000000Z | 40.0 Hz, 161 samples
Expected:
1 Trace(s) in Stream:
TA.A25A..BHE | 2010-03-25T00:00:00.000001Z - 2010-03-25T00:00:05.975001Z | 40.0 Hz, 240 samples
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/tests/test_client.py", line 563, in test_iris_example_queries_dataselect
repr(query))
AssertionError: b'000001M ADK 10BHZIU\x07\xda\x00:\x06\x1e\x00\x00\x00\[88880 chars]\x00' != b'000001M ADK 00BHZIU\x07\xda\x00:\x06\x1e\x00\x00\x00\[88880 chars]\x00' : Dataselect failed for query ('IU', 'A*', '*', 'BHZ', UTCDateTime(2010, 2, 27, 6, 30), UTCDateTime(2010, 2, 27, 6, 31))
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.nrl.__init__
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/nrl/__init__.py", line 1, in __init__
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/nrl/__init__.py", line 24, in obspy.clients.nrl.__init__
Failed example:
nrl = NRL()
Exception raised:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connection.py", line 171, in _new_conn
(self._dns_host, self.port), self.timeout, **extra_kw)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/util/connection.py", line 56, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/socket.py", line 745, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/http/client.py", line 1239, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/http/client.py", line 1285, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/http/client.py", line 1234, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/http/client.py", line 1026, in _send_output
self.send(msg)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/http/client.py", line 964, in send
self.connect()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connection.py", line 196, in connect
conn = self._new_conn()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connection.py", line 180, in _new_conn
self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x1c0b96cf98>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/adapters.py", line 445, in send
timeout=timeout
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/util/retry.py", line 398, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='ds.iris.edu', port=80): Max retries exceeded with url: /NRL/sensors/index.txt (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x1c0b96cf98>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known',))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.nrl.__init__[1]>", line 1, in <module>
nrl = NRL()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/nrl/client.py", line 295, in __init__
super(self.__class__, self).__init__()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/nrl/client.py", line 65, in __init__
self.sensors = self._parse_ini(sensor_index)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/nrl/client.py", line 114, in _parse_ini
cp = self._get_cp_from_ini(path)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/nrl/client.py", line 317, in _get_cp_from_ini
with io.StringIO(self._download(path)) as buf:
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/nrl/client.py", line 302, in _download
r = requests.get(url)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/api.py", line 72, in get
return request('get', url, params=params, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/api.py", line 58, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/sessions.py", line 512, in request
resp = self.send(prep, **send_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/sessions.py", line 622, in send
r = adapter.send(request, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/adapters.py", line 513, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='ds.iris.edu', port=80): Max retries exceeded with url: /NRL/sensors/index.txt (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x1c0b96cf98>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known',))
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seedlink.basic_client.Client.get_waveforms
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/seedlink/basic_client.py", line 62, in get_waveforms
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/seedlink/basic_client.py", line 70, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
G.FDF.00.BHZ | 20... | 20.0 Hz, ... samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/seedlink/basic_client.py", line 79, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
G.FDF.00.BHZ | 20... | 20.0 Hz, ... samples
G.FDF.00.BHN | 20... | 20.0 Hz, ... samples
G.FDF.00.BHE | 20... | 20.0 Hz, ... samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/seedlink/tests/test_basic_client.py", line 42, in test_get_waveform
_test_offset_from_realtime(offset)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/seedlink/tests/test_basic_client.py", line 25, in _test_offset_from_realtime
self.assertGreater(len(st), 0)
AssertionError: 0 not greater than 0

Skipped Tests (31)

Submodule Test Skip Message
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) PyCrypto is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
60.135s get_waveforms (obspy.clients.seedlink.basic_client.Client)
48.186s __init__ (obspy.clients.syngine)
48.114s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
44.354s __init__ (obspy.clients.arclink)
31.028s __init__ (obspy.clients.nrl)
30.738s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
28.328s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
26.576s read (obspy.core.stream)
25.648s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
24.377s test_eida_token_resolution (obspy.clients.fdsn.tests.test_client.ClientTestCase)
23.671s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
23.466s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)
21.100s test_get_waveform (obspy.clients.seedlink.tests.test_basic_client.ClientTestCase)
19.991s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
16.757s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
16.743s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
16.610s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
15.891s test_get_waveform (obspy.clients.arclink.tests.test_client.ClientTestCase)
15.713s test_issue_372 (obspy.clients.arclink.tests.test_client.ClientTestCase)
14.784s test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase)

Chuck Norris Fact

"It works on my machine" always holds true for Chuck Norris.